<?xml version="1.0" encoding="Shift_JIS"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="Shift_JIS" />

<xsl:template match="/">
    <html>
	<head>
    <LINK REL="STYLESHEET" TYPE="text/css" HREF="default01.css" />
	<style type="text/css" media="screen">
		@import url(layout01.css);
	</style>
	<title><xsl:value-of select="hp/title" /></title>
	</head>
    <body>
	<div class="layout">
		<table border="0" width="100%">
		<tr>
		<td algin="left">
		</td>
		<td align="right">
			<h3 class="since">since 2004/09</h3>
		</td>
		</tr>
		</table>
		<div class="body">
			<xsl:apply-templates />
    	</div>
   	</div>
    </body>
    </html>
</xsl:template>

<xsl:template match="left">
	<div class="left">
		<xsl:apply-templates />
	</div>
</xsl:template>

<xsl:template match="right">
	<div class="right">
		<xsl:apply-templates />
	</div>
</xsl:template>

<xsl:template match="title">
	<div class="titleimg">
		<div class="titleshadow"><xsl:value-of select="." /></div>
		<div class="titlemain"><xsl:value-of select="." /></div>
	</div>
</xsl:template>

<xsl:template match="topmenu_list">
	<xsl:apply-templates select="document(@url)//topmenu" />
</xsl:template>

<xsl:template match="topmenu">
	<div class="topmenu">
		<ul class="topmenu">
			<xsl:apply-templates />
		</ul>
	</div>
</xsl:template>

<xsl:template match="topmenu_item">
		<li class="topmenu_item">
			<a>
				<xsl:attribute name="href">
				<xsl:value-of select="@link" />
				</xsl:attribute>
				<xsl:value-of select="." />
			</a>
		</li>
</xsl:template>

<xsl:template match="topmenu_itemtitle">
		<li class="topmenu_itemtitle"><xsl:value-of select="." /></li>
</xsl:template>

<xsl:template match="main">
	<div class="main">
		<xsl:apply-templates />
	</div>
</xsl:template>

<xsl:template match="diary_list">
	<xsl:apply-templates select="document(@url)//diary" />
</xsl:template>

<xsl:template match="diary">
	<div class="diary">
	    <p class="d_title"><xsl:value-of select="title" /></p>
	    <xsl:for-each select="d_items">
		    <xsl:sort select="d_date" order="descending" />
			<xsl:if test="position() &lt; 10">
	    		<xsl:apply-templates select="." />
	    	</xsl:if>
	    </xsl:for-each>
    </div>
</xsl:template>

<xsl:template match="d_items">
	<div class="d_items">
	    <font class="d_date">
		    [<xsl:value-of select="d_date" />]<xsl:value-of select="d_title" /><br />
		</font>
		<xsl:apply-templates select="d_exp" />
	</div>
</xsl:template>

<xsl:template match="d_exp">
	<font class="d_exp">
	<xsl:copy-of select="." />
	</font>
</xsl:template>

<xsl:template match="whatsnew_list">
	<xsl:apply-templates select="document(@url)//whatsnew" />
</xsl:template>

<xsl:template match="whatsnew">
	<div class="whatsnew">
	    <p class="w_title"><xsl:value-of select="title" /></p>
	    <xsl:for-each select="w_items">
		    <xsl:sort select="date" order="descending" />
			<xsl:if test="position() &lt; 10">
	    		<p><xsl:apply-templates select="." /></p>
	    	</xsl:if>
	    </xsl:for-each>
    </div>
</xsl:template>

<xsl:template match="w_items">
	<div class="w_items">
	    <font class="w_date">
		    <xsl:value-of select="date" />
		</font>
		<xsl:apply-templates select="exp" />
	</div>
</xsl:template>

<xsl:template match="exp">
	<font class="w_exp">
		<li>
		<xsl:choose>
			<xsl:when test="@href">
			   	<a target="BODY">
			       	<xsl:attribute name="href">
			       	<xsl:value-of select="@href" />
			       	</xsl:attribute>
				    <xsl:value-of select="." />
				</a>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="." />
			</xsl:otherwise>
		</xsl:choose>
		</li>
	</font>
</xsl:template>

<xsl:template match="menu_list">
	<xsl:apply-templates select="document(@url)//menu" />
</xsl:template>

<xsl:template match="menu">
	<div class="menu">
		<p><xsl:apply-templates /></p>
    </div>
</xsl:template>

<xsl:template match="m_title">
    <p class="m_title"><xsl:value-of select="." /></p>
</xsl:template>

<xsl:template match="m_item">
	<p class="m_item">
	   	<a>
	       	<xsl:attribute name="href">
	       	<xsl:value-of select="@href" />
	       	</xsl:attribute>
		    <xsl:value-of select="." />
		</a>
	</p>
</xsl:template>

<xsl:template match="cm_list">
	<xsl:apply-templates select="document(@url)//cm" />
</xsl:template>

<xsl:template match="cm">
	<xsl:copy-of select="." />
</xsl:template>

</xsl:stylesheet>
