<?xml version="1.0" encoding="Shift_JIS"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="Shift_JIS" />

<xsl:template match="/">
    <html>
	<head>
    <LINK REL="STYLESHEET" TYPE="text/css" HREF="default01.css" />
	<style type="text/css" media="screen">
		@import url(layout01.css);
	</style>
	<title><xsl:value-of select="hp/title" /></title>
	</head>
    <body>
	<div class="layout">
		<table border="0" width="100%">
		<tr>
		<td algin="left">
		</td>
		<td align="right">
			<h3 class="since">since 2004/09</h3>
		</td>
		</tr>
		</table>
		<div class="body">
			<xsl:apply-templates />
    	</div>
   	</div>
    </body>
    </html>
</xsl:template>

<xsl:template match="title">
	<div class="titleimg">
		<div class="titleshadow"><xsl:value-of select="." /></div>
		<div class="titlemain"><xsl:value-of select="." /></div>
	</div>
</xsl:template>

<xsl:template match="topmenu_list">
	<xsl:apply-templates select="document(@url)//topmenu" />
</xsl:template>

<xsl:template match="topmenu">
	<div class="topmenu">
		<ul class="topmenu">
			<xsl:apply-templates />
		</ul>
	</div>
</xsl:template>

<xsl:template match="topmenu_item">
		<li class="topmenu_item">
			<a>
				<xsl:attribute name="href">
				<xsl:value-of select="@link" />
				</xsl:attribute>
				<xsl:value-of select="." />
			</a>
		</li>
</xsl:template>

<xsl:template match="topmenu_itemtitle">
		<li class="topmenu_itemtitle"><xsl:value-of select="." /></li>
</xsl:template>

<xsl:template match="main">
	<div class="main">
		<xsl:apply-templates />
	</div>
</xsl:template>

<xsl:template match="mono">
	<div class="mono">
	    <p class="mo_title"><xsl:value-of select="mo_items/mo_title" /></p>
		<xsl:apply-templates select="mo_items" />
    </div>
</xsl:template>

<xsl:template match="mo_items">
	<div class="mo_items">
	    <font class="mo_date">
		    [<xsl:value-of select="mo_date" />]<xsl:value-of select="mo_title" /><br />
		</font>
		<xsl:apply-templates select="mo_exp" />
	</div>
</xsl:template>

<xsl:template match="mo_exp">
	<font class="mo_exp">
	<pre><xsl:copy-of select="." /></pre>
	</font>
</xsl:template>

<xsl:template match="menu_list">
	<xsl:apply-templates select="document(@url)//menu" />
</xsl:template>

<xsl:template match="menu">
	<div class="menu">
   		<p><xsl:apply-templates /></p>
    </div>
</xsl:template>

<xsl:template match="m_title">
    <p class="m_title"><xsl:value-of select="." /></p>
</xsl:template>

<xsl:template match="m_item">
	<p class="m_item">
	   	<a>
	       	<xsl:attribute name="href">
	       	<xsl:value-of select="@href" />
	       	</xsl:attribute>
		    <xsl:value-of select="." />
		</a>
	</p>
</xsl:template>

</xsl:stylesheet>
